%bcond_with docs

Summary:        Theora Video Compression Codec
Name:           libtheora
Version:        1.1.1
Release:        7%{?dist}
License:        BSD
URL:            http://www.theora.org
Source0:        http://downloads.xiph.org/releases/theora/%{name}-%{version}.tar.xz
Patch0001:      libtheora-1.1.1-libpng16.patch
Patch3000:      libtheora-1.1.1-fix-pp_sharp_mod-calc.patch
Patch3001:      libtheora-1.1.1-libm.patch
Patch3002:      0001-libtheora-1.1.1-add-support-for-loongarch64.patch

BuildRequires:  make autoconf automake libtool
BuildRequires:  libogg-devel libvorbis-devel SDL2-devel libpng-devel
%if %{with docs}
BuildRequires:  doxygen tetex-latex transfig
%endif

%description
Theora is a free and open video compression format from the Xiph.org Foundation.
Like all our multimedia technology it can be used to distribute film and
video online and on disc without the licensing and royalty fees or vendor lock-in
associated with other formats.

%package        devel
Summary:        Development tools for Theora applications
Requires:       libogg-devel
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the header files needed to develop applications with libtheora.

%package -n     theora-tools
Summary:        Command line tools for Theora videos
Requires:       %{name} = %{version}-%{release}

%description -n theora-tools
This package provides simple command line tools for use with theora bitstreams.



%prep
%autosetup -n %{name}-%{version} -p1

# Fix builds on some architectures (e.g., aarch64/ppc64le)
%ifarch aarch64 ppc64le
cp /usr/lib/rpm/%{_vendor}/config.* .
%endif



%build
./autogen.sh
sed -i 's/CFLAGS="$CFLAGS $cflags_save"/CFLAGS="$cflags_save"/g' configure
%configure --enable-shared --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%{make_build}

%if %{with docs}
make -C doc/spec %{?_smp_mflags}
%endif



%install
%{make_install}

find %{buildroot} -type f -name "*.la" -delete
rm -r %{buildroot}%{_docdir}/*

mkdir -p %{buildroot}%{_bindir}
install -Dm 755 examples/.libs/dump_video %{buildroot}%{_bindir}/theora_dump_video
install -Dm 755 examples/.libs/encoder_example %{buildroot}%{_bindir}/theora_encode
install -Dm 755 examples/.libs/dump_psnr %{buildroot}%{_bindir}/theora_player
install -Dm 755 examples/.libs/png2theora %{buildroot}%{_bindir}/png2theora



%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig



%files
%license COPYING
%doc README
%{_libdir}/*.so.*

%files devel
%{_includedir}/theora
%{_libdir}/*.so
%{_libdir}/pkgconfig/theora*.pc
%if %{with docs}
%doc doc/libtheora/html doc/vp3-format.txt doc/spec/Theora.pdf
%doc doc/color.html doc/draft-ietf-avt-rtp-theora-00.txt
%endif

%files -n theora-tools
%{_bindir}/*


%changelog
* Sat May 11 2024 Pengda Dou <doupengda@loongson.cn> - 1.1.1-7
- [Type] other
- [DESC] add support for loongarch64

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.1-6
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 cunshunxia <cunshunxia@tencent.com> - 1.1.1-5
- Rebuilt for SDL2 2.28.2

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.1-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.1-3
- Rebuilt for OpenCloudOS Stream 23

* Sun Dec 4 2022 Zhao Zhen <jeremiazhao@tencent.com> - 1.1.1-2
- added ldconfig
- disabled building documents
- using SDL2 instead of SDL1.2

* Tue Sep 13 2022 Shuo Wang <abushwang@tencent.com> - 1.1.1-1
- initial build
